curl --request POST \
--url https://api.hubapi.com/files/v3/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentFolderId": "<string>",
"parentPath": "<string>"
}
'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}Creates a folder.
curl --request POST \
--url https://api.hubapi.com/files/v3/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentFolderId": "<string>",
"parentPath": "<string>"
}
'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Folder creation options
Object for creating a folder.
New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.
New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.
Path of the parent of the created folder. If not specified the folder will be created at the root level. parentFolderPath and parentFolderId cannot be set at the same time.
successful operation
Marks whether the folder is deleted or not.
Timestamp of folder creation.
ID of the folder.
Timestamp of the latest update to the folder.
Timestamp of folder deletion.
New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.
New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.
Path of the folder in the file manager.
Was this page helpful?